extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "knights:invisible_woman_layer1",
    "layer2": "knights:invisible_woman_layer2",
});

function initEffects(renderer) {

    var forcefield = renderer.bindProperty("fiskheroes:forcefield");
    forcefield.color.set(0x87CEEB);
    forcefield.setShape(36, 18).setOffset(0.0, 6.0, 0.0).setScale(1.25);
    forcefield.setCondition(entity => {
        forcefield.opacity = entity.getInterpolatedData("fiskheroes:shield_blocking_timer") * 0.15;
        return true;
    });
}